"use strict";
const electron_1 = require("electron");
const events_1 = require("events");
class OsxUpdater extends events_1.EventEmitter {
    constructor() {
        super();
    }
    setFeedURL(url) {
        electron_1.autoUpdater.setFeedURL(url);
    }
    checkForUpdates() {
        electron_1.autoUpdater.checkForUpdates();
    }
    quitAndInstall() {
        electron_1.autoUpdater.quitAndInstall();
    }
    addListener(event, listener) {
        electron_1.autoUpdater.addListener(event, listener);
        return this;
    }
}
exports.OsxUpdater = OsxUpdater;
